simpleupload.co.uk is down, no CI artifacts accessible #4207

Open
opened 2026-02-20 16:14:55 -05:00 by deekerman · 6 comments
Owner

Originally created by @connorshea on GitHub (Jan 28, 2020).

Issue

simpleupload.co.uk is down, which means error logs and screenshots from CI jobs can't be accessed.

Expected Behavior

The logs and screenshots are uploaded to an accessible location so they can be used by devs to debug test failures.

Actual Behavior

They fail to upload because the domain fails to resolve.

From the CI logs:

curl -i -F file=@suitecrm.log https://www.simpleupload.co.uk/Api/FileUpload.php?d=upload
curl: (6) Could not resolve host: www.simpleupload.co.uk

Possible Fix

Either fix simpleupload.co.uk (I think @Dillon-Brown owns it?) or replace simpleupload with another solution.

Steps to Reproduce

  1. Go to any recent Travis CI job, e.g. https://travis-ci.org/salesagility/SuiteCRM/jobs/642939025
  2. Look at the very end of the log, for curl commands as part of push_output.sh.
  3. See that the curl commands fail.
Originally created by @connorshea on GitHub (Jan 28, 2020). #### Issue simpleupload.co.uk is down, which means error logs and screenshots from CI jobs can't be accessed. #### Expected Behavior The logs and screenshots are uploaded to an accessible location so they can be used by devs to debug test failures. #### Actual Behavior They fail to upload because the domain fails to resolve. From the CI logs: ``` curl -i -F file=@suitecrm.log https://www.simpleupload.co.uk/Api/FileUpload.php?d=upload curl: (6) Could not resolve host: www.simpleupload.co.uk ``` #### Possible Fix Either fix simpleupload.co.uk (I think @Dillon-Brown owns it?) or replace simpleupload with another solution. #### Steps to Reproduce 1. Go to any recent Travis CI job, e.g. https://travis-ci.org/salesagility/SuiteCRM/jobs/642939025 2. Look at the very end of the log, for `curl` commands as part of `push_output.sh`. 3. See that the `curl` commands fail.
Author
Owner

@chris001 commented on GitHub (Feb 20, 2020):

Default server: ns1.digitalocean.com
Address: 2400:cb00:2049:1::adf5:3a33#53
Default server: ns1.digitalocean.com
Address: 173.245.58.51#53
> simpleupload.co.uk
Server:         ns1.digitalocean.com
Address:        2400:cb00:2049:1::adf5:3a33#53

** server can't find simpleupload.co.uk: REFUSED

Digital Ocean refused to provide DNS lookup for the domain name.
Billing/Disk Space issue?
Droplet not turned on?
Fix digital ocean DNS?
Switch to other DNS ie Cloudflare?

@chris001 commented on GitHub (Feb 20, 2020): ``` Default server: ns1.digitalocean.com Address: 2400:cb00:2049:1::adf5:3a33#53 Default server: ns1.digitalocean.com Address: 173.245.58.51#53 > simpleupload.co.uk Server: ns1.digitalocean.com Address: 2400:cb00:2049:1::adf5:3a33#53 ** server can't find simpleupload.co.uk: REFUSED ``` Digital Ocean refused to provide DNS lookup for the domain name. Billing/Disk Space issue? Droplet not turned on? Fix digital ocean DNS? Switch to other DNS ie Cloudflare?
Author
Owner

@chris001 commented on GitHub (May 12, 2020):

No plan to turn on simpleupload.co.uk ?

@chris001 commented on GitHub (May 12, 2020): No plan to turn on `simpleupload.co.uk` ?
Author
Owner

@tsmgeek commented on GitHub (May 12, 2020):

What about just pushing logs to something like hastebin.com?

#!/bin/bash

result=$(curl -sf --data-binary @${1:--} https://hastebin.com/documents) || {
	echo "ERROR: failed to post document" >&2
	exit 1
}

key=$(jq -r .key <<< $result)

echo "https://hastebin.com/${key}"

It then returns a url to your log for 30days.

As for screenshots im not sure.

@tsmgeek commented on GitHub (May 12, 2020): What about just pushing logs to something like hastebin.com? ``` #!/bin/bash result=$(curl -sf --data-binary @${1:--} https://hastebin.com/documents) || { echo "ERROR: failed to post document" >&2 exit 1 } key=$(jq -r .key <<< $result) echo "https://hastebin.com/${key}" ``` It then returns a url to your log for 30days. As for screenshots im not sure.
Author
Owner

@chris001 commented on GitHub (May 13, 2020):

Good idea. Also, screenshots can be uploaded to many free online image upload sites.

@chris001 commented on GitHub (May 13, 2020): Good idea. Also, screenshots can be uploaded to many free online image upload sites.
Author
Owner

@pgorod commented on GitHub (May 13, 2020):

In the beginning, there was @Dillon-Brown. He created (if I'm not mistaken) simpleupload.co.uk, and he saw that it was good.

Then some expired certificate or domain name or some other evil working blew the whole thing. It has been prophesied that only Dillon can redeem it... we can only raise our hands up to the Highlands and mention him in supplication... @Dillon-Brown! Oh @Dillon-Brown! 🤣

@pgorod commented on GitHub (May 13, 2020): In the beginning, there was @Dillon-Brown. He created (if I'm not mistaken) `simpleupload.co.uk`, and he saw that it was good. Then some expired certificate or domain name or some other evil working blew the whole thing. It has been prophesied that only Dillon can redeem it... we can only raise our hands up to the Highlands and mention him in supplication... @Dillon-Brown! Oh @Dillon-Brown! 🤣
Author
Owner

@tsmgeek commented on GitHub (May 13, 2020):

https://api.imgbb.com/

@tsmgeek commented on GitHub (May 13, 2020): https://api.imgbb.com/
Sign in to join this conversation.
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/SuiteCRM-SuiteCRM#4207
No description provided.